RejectionReason (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, enum: RejectionReason

Package org.apache.hadoop.yarn.api.records

# Enum Class RejectionReason

java.lang.Object
java.lang.Enum<RejectionReason>
org.apache.hadoop.yarn.api.records.RejectionReason

All Implemented Interfaces:
  `Serializable`, `Comparable<RejectionReason>`, `Constable`

@Public @Unstable public enum RejectionReason extends Enum<RejectionReason>
Reason for rejecting a Scheduling Request.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COULD_NOT_PLACE_ON_NODE`
  This is used to indicate a possible constraint violation.
  `COULD_NOT_SCHEDULE_ON_NODE`
  This is used to indicate when after the Algorithm has placed a Scheduling Request at a node, but the commit failed because the Queue has no capacity etc.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RejectionReason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RejectionReason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COULD_NOT_PLACE_ON_NODE

    public static final RejectionReason COULD_NOT_PLACE_ON_NODE
    This is used to indicate a possible constraint violation. For eg. If the App requested anti-affinity across 5 container requests, but only 4 nodes exist. Another eg. could be if tag A has affinity with tag B and tag B has affinity with tag C, but tag A has anti-affinity with tag C, all at a rack scope - and only 1 rack exists. Essentially all situations where the Algorithm cannot assign a Node to SchedulingRequest.

  - ### COULD_NOT_SCHEDULE_ON_NODE

    public static final RejectionReason COULD_NOT_SCHEDULE_ON_NODE
    This is used to indicate when after the Algorithm has placed a Scheduling Request at a node, but the commit failed because the Queue has no capacity etc. This can be a transient situation.

- ## Method Details

  - ### values

    public static RejectionReason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RejectionReason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null